std::_List_base< _Tp, _Alloc > Class Template Reference
Inheritance diagram for std::_List_base< _Tp, _Alloc >:
[legend]

## Public Types

typedef _Alloc | allocator_type

## Public Member Functions

| _List_base (const _Node_alloc_type &__a)
| _List_base (_List_base &&__x)
void | _M_clear ()
_Node_alloc_type & | _M_get_Node_allocator () noexcept
const _Node_alloc_type & | _M_get_Node_allocator () const noexcept
_Tp_alloc_type | _M_get_Tp_allocator () const noexcept
void | _M_init ()
allocator_type | get_allocator () const noexcept

## Protected Types

typedef _Alloc::template rebind< _List_node< _Tp > >::other | _Node_alloc_type
typedef _Alloc::template rebind< _Tp >::other | _Tp_alloc_type

## Protected Member Functions

_List_node< _Tp > * | _M_get_node ()
void | _M_put_node (_List_node< _Tp > *__p)

## Protected Attributes

_List_impl | _M_impl

## Detailed Description

### template<typename _Tp, typename _Alloc>
class std::_List_base< _Tp, _Alloc >

See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 289 of file stl_list.h.

The documentation for this class was generated from the following files:

- stl_list.h
- list.tcc